face.h File Reference

## Data Structures

struct | MFace
| Type of faces. More...
struct | MRealizedFace

## Enumerations

enum | MFaceProperty { MFACE_FOUNDRY , MFACE_FAMILY , MFACE_WEIGHT , MFACE_STYLE , MFACE_STRETCH , MFACE_ADSTYLE , MFACE_SIZE , MFACE_FONTSET , MFACE_FOREGROUND , MFACE_BACKGROUND , MFACE_HLINE , MFACE_BOX , MFACE_VIDEOMODE , MFACE_RATIO , MFACE_HOOK_ARG , MFACE_PROPERTY_MAX }

## Functions

MRealizedFace * | mface__realize (MFrame *frame, MFace **faces, int num, int limitted_size, MFont *font)
MGlyph * | mface__for_chars (MSymbol script, MSymbol language, MSymbol charset, MGlyph *from_g, MGlyph *to_g, int size)
void | mface__free_realized (MRealizedFace *rface)
void | mface__update_frame_face (MFrame *frame)

## Variables

MFace * | mface__default

## Enumeration Type Documentation

## MFaceProperty

enum MFaceProperty

Enumerator
MFACE_FOUNDRY |
MFACE_FAMILY |
MFACE_WEIGHT |
MFACE_STYLE |
MFACE_STRETCH |
MFACE_ADSTYLE |
MFACE_SIZE |
MFACE_FONTSET |
MFACE_FOREGROUND |
MFACE_BACKGROUND |
MFACE_HLINE |
MFACE_BOX |
MFACE_VIDEOMODE |
MFACE_RATIO |
MFACE_HOOK_ARG |
MFACE_PROPERTY_MAX |

## Function Documentation

## mface__realize()

MRealizedFace* mface__realize | ( | MFrame * | frame,
|  | MFace ** | faces,
|  | int | num,
|  | int | limitted_size,
|  | MFont * | font
| ) |  |

## mface__for_chars()

MGlyph* mface__for_chars | ( | MSymbol | script,
|  | MSymbol | language,
|  | MSymbol | charset,
|  | MGlyph * | from_g,
|  | MGlyph * | to_g,
|  | int | size
| ) |  |

## mface__free_realized()

void mface__free_realized | ( | MRealizedFace * | rface | ) |

## mface__update_frame_face()

void mface__update_frame_face | ( | MFrame * | frame | ) |

## Variable Documentation

## mface__default

MFace* mface__default

extern